@echo off

rem
rem Builds a PresSTORE distribution file suitable for updating
rem remote Windows clients.
rem
rem See the file "license.txt" for information on usage and
rem redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
rem
rem Rcsid: @(rem)$Id: awdist.bat,v 1.7 2012/07/12 15:08:27 itannir Exp $
rem ----------------------------------------------------------------------
rem

rem
rem Create the zip file relative to install root
rem

if not exist temp (
    mkdir temp
)
set updf=temp\awpstupd.zip
set sevenZ=binaries\Windows\NT_install\7z.exe
if not exist %updf% (
    %sevenZ% a -y -tzip %updf% README ChangeLog license.txt > NUL:
    %sevenZ% a -y -tzip %updf% install.sh uninstall.sh > NUL:
    %sevenZ% a -y -tzip %updf% ping-server start-server stop-server > NUL:
    %sevenZ% a -y -tzip %updf% restart-server > NUL:
    %sevenZ% a -y -tzip %updf% etc lib modules > NUL:
    %sevenZ% a -y -tzip %updf% binaries\SunOS > NUL:
    %sevenZ% a -y -tzip %updf% binaries\Linux\unknown > NUL:
    %sevenZ% a -y -tzip %updf% binaries\Darwin > NUL:
    %sevenZ% a -y -tzip %updf% binaries\Windows\NT > NUL:
    %sevenZ% a -y -tzip %updf% servers\lexxsrv\modules\tcl > NUL:
    %sevenZ% a -y -tzip %updf% servers\lexxsrv\pages\docs > NUL:
)

rem
rem Return the absolute location of the zipball
rem

echo %CD%\%updf%

exit 0
